﻿using System;
using System.Collections.Generic;
using System.IO;

namespace TestProject
{
    /// <summary>
    /// 프로그램
    /// </summary>
    class Program
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Static
        //////////////////////////////////////////////////////////////////////////////// Private

        #region 프로그램 시작하기 - Main()

        /// <summary>
        /// 프로그램 시작하기
        /// </summary>
        private static void Main()
        {
            string source = @"
'100','200','100','300','400'
'200','300','400','200','100'
'100','300','200','300','400'
";

            using(StringReader reader = new StringReader(source))
            {
                IEnumerable<IList<string>> lineEnumerable = CSVParser.Parse(reader, ',', '\'');

                foreach(IList<string> itemEnumerable in lineEnumerable)
                {
                    foreach(string item in itemEnumerable)
                    {
                        Console.Write(item);
                        Console.Write(" ");
                    }

                    Console.WriteLine();
                }
            }
        }

        #endregion
    }
}